/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\pvpdeed.cs
Lines of code: 56
***********************************************************/


using System;
using Server.Items;
using Server.Mobiles;
using Server.Gumps;


namespace Server.Items
{
	public class PVPdeed : Item
	{	
	
		public override void OnDoubleClick( Mobile from )
		{
		from.CloseGump(typeof(PVPdeedGump));
		from.SendGump(new PVPdeedGump(from));
		}
		
		[Constructable]
		public PVPdeed() :  base(0x14F0)
		{
		Hue=37;
		}
	
		public PVPdeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();

		}	
	}
}









namespace Server.Gumps
{
	public class PVPdeedGump : Gump
	{
		public PVPdeedGump(Mobile pm): base( 0, 0 )
		{
		string info="<font color=\"red\">Warning!  By using this deed you are allowing anyone else who has used it to attack you ANYWHERE!<br><br>  You will be able to spot such player as they will have an asterix after their name.  This operation CANNOT be reversed.<br><br>Are you sure you want to use this deed?";		
		

		
			this.Closable=true;
			this.Disposable=true;
			this.Dragable=true;
			this.Resizable=false;
			this.AddPage(0);
			this.AddBackground(55, 15, 444, 503, 9200);
			this.AddImage(6, 20, 10440);
			this.AddHtml( 82, 46, 392, 438, info, (bool)true, (bool)true);
			this.AddButton(250, 492, 247, 248, (int)Buttons.Button1, GumpButtonType.Reply, 0);
		}
		
		public enum Buttons
		{
			Button1,
		}
	}
}